Search Type: Posts; User: kite

Search: Search took 0.03 seconds.

  1. Replies
    10
    Views
    3,846
    Try to read this:
    http://www.sencha.com/forum/showthread.php?136032-SDKTOOLS-3-buggy-Sencha-SDK-Tools/page2
  2. Replies
    19
    Views
    4,719
    Can you write "Released for Windows/MacOS only" instead of "Released" in "Sencha News" emails? I think this is proper way if you want people read your news next time ;)
  3. $ cat ext-4.0.2a/resources/css/ext-all.css | sed 's/[;{}]/\0\n/g' | grep -B1 -F default/tab-bar/tab-bar-bg.gif
    .x-nlg .x-tab-bar{...
  4. Replies
    60
    Views
    29,279
    Why can't you build Qt with not so hard optimization flags?
  5. Replies
    0
    Views
    1,695
    As I can see from scss ext-ie.css is css for ie, ext-standard.css for all other browsers except ie.

    cat ext-4.0.2a/resources/css/ext-standard.css | sed 's/[;{}]/\0\n/g' | grep -E '(ie[\d...
  6. Replies
    0
    Views
    889
    $ cat ext-4.0.2a/resources/css/ext-all.css | sed 's/[;{}]/\0\n/g' | grep nullAll these values aren't valid css values. It seems like you in scss somewhere forgot to wrap styles with "@if $somevalue...
  7. Replies
    60
    Views
    29,279
    I have installed it on ArchLinux with last updates and got segfault. It seems, like in Fedora 15 there are problems with Qt too.
    As I can see you use WebKit in order to only load page and get...
  8. Replies
    60
    Views
    29,279
    It still uses ugly windows-like installer with static linked GUI-toolkit. :(
    And after installing it prints very meaningful phrase: "Unknown error running post-install step". :)

    And it still...
  9. Replies
    60
    Views
    29,279
    That's good. But let's think how can I get full list of dependencies that I will install "on every major linux distribution's package manager, that should be extremely easy". I don't know extremely...
  10. Replies
    60
    Views
    29,279
    This is quite incorrect. You need install 64-bit Qt, Xvfb, etc. not because of 32-bit jsdb. For jsdb you need only multilib kernel, lib32-glibc and lib32-gcc-libs. Qt - for phantomjs, JRE - for YUI...
  11. Replies
    60
    Views
    29,279
    You need running X server :). As alternative you can use Xvfb ($xvfb-run phantomjs ...).
  12. Replies
    60
    Views
    29,279
    Making own parser of javascript is more difficult thing.
    You want something simpler? Install phantomjs (http://www.phantomjs.org/), YUI compressor (http://developer.yahoo.com/yui/compressor/),...
  13. Replies
    60
    Views
    29,279
    amimouni, I think sencha developers knew that jsdb is 32-bit application. On official site (of jsdb) there no builds for x64, and building from sources for x64 requires some patching skills. But sdk...
  14. Phil.Strong, please, read following post too: http://www.sencha.com/forum/showthread.php?136032-buggy-Sencha-SDK-Tools -this is similar problem.
  15. Replies
    10
    Views
    3,846
    This isn't big problem - you can write own ext-app-builder.js and use stdout instead of file i/o. The main problem in that fact, that you need to fully load your page like browsers do this, and only...
  16. Replies
    10
    Views
    3,846
    "create jsb" in order to get dependency list runs whole ExtJS application inside PhantomJS (using WebKit engine).
    So only with Rhino you cannot do "create jsb", if you will use PhantomJS - you don't...
  17. Replies
    60
    Views
    29,279
    I don't say anything about Qt license. :)
    But your commercial license doesn't help with segmentation fault. ;)
    Who will purchase your products (e.g. ExtDesigner) when they crash at first run with...
  18. Replies
    10
    Views
    3,846
    HTML != XML and even HTML != XHTML. And API for XML in JavaScript isn't what we need - to receive full dependency list it's need to create full DOM and run whole JavaScript, like in browser.
    Have...
  19. Replies
    10
    Views
    3,846
    Sencha SDK Tools uses Phantom JS (http://www.phantomjs.org/) to get dependencies list, this is "headless WebKit with JavaScript API" and this isn't java-application.
    I don't think ExtJS 4.0 works...
  20. Replies
    2
    Views
    2,083
    Answer is in function getRelativePath from <SenchaSDKTools path>/appbuilder/ext-app-builder.js
  21. I got segfault too... Try to remove Qt library shipped with ExtDesigner (libQt*.so.4 for 1.1.* or libQt*Ext.so.4 for 1.0.*) or simply don't set LD_LIBRARY_PATH in startup script - it helps me, in...
  22. Replies
    2
    Views
    2,884
    Install these libraries and maybe it will work. ;)
  23. Replies
    60
    Views
    29,279
    Sencha SDK Tools for Linux x64 isn't for Linux x64 - jsdb is 32-bit application.
    $file jsdb
    jsdb: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs),...
Results 1 to 23 of 23